DbEnv::get_create_dir()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_create_dir()

    #include <db_cxx.h>

    int
    DbEnv::get_create_dir(const char **dirp);

The `DbEnv::get_create_dir()` method returns a pointer to the name of the directory to create databases in.

The `DbEnv::get_create_dir()` method may be called at any time during the life of the application.

The `DbEnv::get_create_dir()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### dirp

The `DbEnv::get_create_dir()` method returns a ponter to the name of the directory in dirp.

### Class

DbEnv

### See Also

Database Environments and Related Methods

Prev | Up | Next
DbEnv::fileid_reset() | Home | DbEnv::get_data_dirs()